import { Router } from 'express';
import { authenticate } from '../middlewares/auth.middleware.js';
import * as usersController from '../controllers/users.controller.js';

const router = Router();

router.use(authenticate);

router.get('/me', usersController.getMe);
router.put('/me', usersController.updateMe);
router.delete('/me', usersController.deleteMe);

export default router;